html, body {
    margin: 0;
}
  

::-webkit-scrollbar {
	display: none;
}

.paper {
	display: flex;
	flex-direction: column;
	width: 1536px;
	max-width: 1536px;
	/* overflow-x: hidden; */
	/* padding-bottom: 50px; */
}

.title-container {
	width: 1536px;
	padding: 0 49px;
	box-sizing: border-box;
}

.title-wrap {
	width: 100%;
	padding: 39px 0 29px;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	border-bottom: 2px dashed #9D9EA5;
}

.title-wrap-left {}

.title-wrap-top-right {
	display: flex;
	flex-direction: row;
	align-items: center;
}

.top-right-text {
	display: flex;
	flex-direction: column;
	align-items: flex-end;
	font-family: PingFangSC, PingFang SC;
	font-weight: 500;
	font-size: 22px;
	color: #9899A1;
}

.arr-img {
	margin-left: 15px;
}

.qr-img {
	margin-left: 15px;
}

.paper-title {
	display: flex;
	justify-content: center;
	align-items: center;
	padding: 57px 0 8px;
	width: 100%;
	font-family: PingFangSC, PingFang SC;
	font-weight: 600;
	font-size: 44px;
	color: #333333;
}

.content-wrap {
	display: flex;
	flex-direction: column;
	width: 690px;
	max-width: 690px;
	overflow: hidden;
	position: absolute;
	word-wrap: break-word;
	word-break: break-all;
}


/* 错题 */
.serial {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	width: 690px;
	box-sizing: border-box;
	margin-top: 49px;
}

.serial-title {
	font-family: PingFangSC, PingFang SC;
	font-weight: 500;
	font-size: 32px !important; 
	color: #333333;
	text-align: left;
}

/* 相似题 */
.serial-similar {
	display: flex;
	flex-direction: row;
	align-items: center;
	width: 100%;
	width: 690px;
	box-sizing: border-box;
	margin-top: 49px;

}


.count-wrap {
	display: flex;
	flex-direction: row;

}

.count-wrap-item {
	font-family: PingFangSC, PingFang SC;
	font-weight: 400;
	font-size: 29px !important; 
	color: #9899A1;
	text-align: left;
	font-style: normal;
}

.count-wrap-item-left {
	margin-left: 20px;
}

.serial * {
	/* all: unset; */
	/* font-size: inherit; */
	/* Ensure child elements inherit font size */
}

.serial-similar * {
	/* all: unset; */
	/* font-size: inherit; */
	/* Ensure child elements inherit font size */
}


.difficulty {
	font-family: PingFangSC, PingFang SC;
	font-weight: 500;
	font-size: 32px;
	color: #36363A;
	margin-right: 10px;
	margin-left: 41px;
}

.dificulty-star {
	margin-top: 4px;
}

.mistake_box_wrap {
	display: flex;
	flex-direction: column;
}

.mistake_box {
	width: 100%;
	padding: 0 49px;
	box-sizing: border-box;
	position: relative;
}

.break-wrapper {
	width: 690px;
	display: block;
}

.select-box {
	width: 100%;
	display: flex;
	flex-direction: column;
	margin-top: 20px;
}

.select-item {
	text-align: justify;
	word-break: break-all;
	margin-bottom: 10px;
	font-weight: 400;
	/* font-size: 32px; */
	color: #36363A;
}

/* p {
    -webkit-margin-before: 0;
    -webkit-margin-after: 0;
  } */

.question-wrap {
	width: 690px;
	box-sizing: border-box;
	/* padding: 0 33px 0; */
	margin-top: 40px;
	font-weight: 400;
	/* font-size: 34px; */
	color: #36363A;
	display: flex;
	flex-direction: column;
}

.question-wrap-no-split {
	width: 690px;
	box-sizing: border-box;
	margin-top: 29px;
	font-weight: 400;
	/* font-size: 34px; */
	color: #36363A;
	/* line-height: 1.5; */
}

.question-wrap img {
	max-width: 100%;
	max-height: 100%;
}


.mistake_box {
    width: 100%;
    position: relative;
  
  }

/* mistake_box 中间虚线 */
.mistake_box::before {
	content: "";
	position: absolute;
	top: 36px;
	left: 50%;
	width: 1px;
	height: 100%;
	border-left: 2px dashed #CECECE;
	background-size: 1px 10px;
	/* 虚线的间隔 */
	transform: translateX(-50%);
	z-index: 1;
	/* 确保虚线在内容之上 */
}

.cacl-item {
	display: flex;
	flex-direction: row;
	word-wrap: normal;
	word-break: normal;
	flex-wrap: wrap;
	align-items: center;
}


.cacl-item del {
	display: inline;
	/* 确保 del 标签为行内元素 */
	/* white-space: nowrap;  */
}

.jy-calc-wrap {
	width: 690px;
	max-width: 690px;
	font-weight: 400;
	/* font-size: 34px; */
	margin-top: 34px;
	display:flex;
	flex-wrap: wrap;
}

.jy-line-out-wrap {
	display: flex;
	flex-direction: column;
  }
  
  .jy-line-wrap {
	width: 100%;
	font-weight: 400;
	margin-top: 34px;
	box-sizing: border-box;
	padding: 0 33px 0;
  }
  
  .line-item {
	display: flex;
	flex-direction: row;
	word-wrap: normal;
	word-break: normal;
	flex-wrap: wrap;
	align-items: center;
  }

  .jy-line-out-wrap {
	display: flex;
	flex-direction: column;
  }
  
  .jy-line-wrap {
	width: 100%;
	font-weight: 400;
	margin-top: 34px;
	box-sizing: border-box;
	padding: 0 33px 0;
	display:flex;
	flex-wrap: wrap;
  }
  
  .line-item {
	display: flex;
	flex-direction: row;
	word-wrap: normal;
	word-break: normal;
	flex-wrap: wrap;
	align-items: center;
  }
  
  .answer-and-analysis-wrap {
	display: flex;
	flex-direction: column;
  }
  

#watermark-container {
	position: absolute;
	top: 0;
	left: 0;
	width: 1536px;
	max-width: 1536px;
	overflow-x: hidden;
	pointer-events: none;
	/* Make watermarks non-interactive */
	z-index: -999;
	/* Ensure watermarks are below other content */
}


.jy-combine-question{
	display: flex;
	flex-direction: column;
  }

.watermark {
	position: absolute;
	/* opacity: 0.1; */
	/* Adjust the transparency of the watermark */
	transform: rotate(-30deg);
	/* Rotate the watermark image */
	user-select: none;
	/* Prevent text selection */
	-webkit-user-drag: none;
	/* Prevent image dragging */
}


span {
	text-overflow: ellipsis;
	white-space: normal;
}

table {
	max-width: 690px !important;
	table-layout: fixed;
}

th,
td {
	max-width: 690px !important;
	overflow: hidden;
	white-space: nowrap;
	line-height: 1.05;
}

th,
td span {
	max-width: 690px;
	text-overflow: ellipsis;
	white-space: normal;
}


span {
	text-overflow: ellipsis;
	white-space: normal;
}

.nowrap {
	white-space: nowrap;
  }

  .star-img {
	width: 24px; /* 根据需要设置 */
	height: auto; /* 保持比例 */
	object-fit: contain;
  }